require('regenerator-runtime');

const replaceAll = require('string.prototype.replaceall');
replaceAll.shim();

window.crypto = {
  getRandomValues: require('polyfill-crypto.getrandomvalues'),
};

require('tests/__setup__/enzyme.setup.js');

let testsContext = require.context('.', true, /\.spec\.js$/);
testsContext.keys().forEach(testsContext);
